### Method

# Ide Debugger emit_stopped

#### Declaration

    void
    ide_debugger_emit_stopped (
      IdeDebugger* self,
      IdeDebuggerStopReason stop_reason,
      IdeDebuggerBreakpoint* breakpoint
    )

#### Description

Emits the “stopped” signal.

Debugger implementations should call this when the debugger has stopped and include the reason and location of the stop.

Available since: | 3.32

#### Parameters

`stop_reason` | `IdeDebuggerStopReason`
| The reason the debugger stopped.
`breakpoint` | `IdeDebuggerBreakpoint`
| The breakpoint representing the stop location.
| The data is owned by the caller of the function.